using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Drawing;

namespace pcd_g1
{
	public interface IWidghet
	{
		int X { get; }
		int Y { get; }
		int Width{ get; }
		int Height { get; }
		bool IsModal { get; }
		bool IsSleeping { get; }
		bool Visibility { get; }

		bool Update(int keyStatus);

		void Draw(Graphics g, int width, int height);
	}
}
